* {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    text-decoration: none;
    list-style: none;
}

body {
    background-color: darkgray; /*XXX white para ver erro no canto*/
    text-align: center;
    display: flex;
    flex-direction: column;
}

header {
    background-color: dimgray;
    text-align: right;
    color: white;
    width: 100%;
    padding-right: 10px;
}

header a {
    color: white;
    font-weight: bold;
}

nav {
    display: flex;
    /*flex-wrap: wrap;*/
    justify-content: space-between;
    background-color: gray;
    align-items: center;
}

label.logo {
    height: 50px;
    font-size: x-large;
    font-weight: bold;
    /*padding: 10px;
    align-items: end;*/
}

nav ul {
    display: flex;
    padding: 10px;
    align-items: center;
}

nav ul li a {
    font-size: 17px;
    padding: 7px 15px;
    border-radius: 4px;
    background-color: gray;
    /*margin: 5px;*/
    color: white;
}

a:hover {
    background-color: darkgray;
    transition: 0.5s;
}

main {
    /*display: block;*/
    text-align: justify;
    padding: 10px;
    background-color: darkgray;
    height: 100vh;
}

footer {
    width: 100%;
    height: 50px;
    background-color: silver;
    text-align: center;
    font-size: 12px;
    bottom: 0;
    position: fixed;
}

h1 {
    text-align: center;
    padding: 10px;
}

p {
    padding: 5px;
}

#formulario,
#box_resposta {
    background-color: gray;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    padding: 30px;
    border-radius: 10px;
}

input {
    padding: 10px;
    border: none;
    outline: none;
    font-size: 15px;
}

#id_botao_limpar {
    background-color: dimgray;
    border-radius: 5px;
    padding: 10px;
    cursor: pointer;
    width: 100%;
    color: white;
    font-weight: bold;
}

#id_botao_limpar:hover {
    background-color: darkred;
    transition: 0.5s;
}

#id_botao_enviar {
    background-color: dimgray;
    border-radius: 5px;
    padding: 10px;
    cursor: pointer;
    width: 100%;
    color: white;
    font-weight: bold;
}

#id_botao_enviar:hover {
    background-color: darkgreen;
    transition: 0.5s;
}

.resposta_errada {
    color: darkred;
    font-weight: bold;
}

.resposta_correta {
    color: navy;
    font-weight: bold;
}

table {
    width: 100%;
    text-align: center;
}

table th {
    border: solid;
    background-color: dimgray;
}

table td:hover {
    background-color: dimgray;
}

table td {
    border: solid;
    background-color: gray;
}

table td a {
    color: black;
    padding: 0px 10px;
    border-radius: 4px;
}

a {
    color: black;
    font-size: 17px;
    padding: 1px 10px;
    border-radius: 4px;
    background-color: gray;
}

a:hover {
    background-color: dimgray;
}

#id_botao_retorno {
    background-color: dimgray;
    border-radius: 5px;
    padding: 10px;
    cursor: pointer;
    width: 100%;
    color: white;
    font-weight: bold;
    outline: none;
}

#id_botao_retorno:hover {
    background-color: dimgray;
    transition: 0.5s;
}
